table {
  border-collapse: collapse;
  font-size: 28px;

  .tableBody {
    display: table-row;
  }

  td {
    border: 1px solid grey;
    text-align: center;
    width: 40px;
    height: 40px;
    min-width: 40px;
    white-space: break-spaces;

    .correctionIndex {
      font-size: 15px;
    }
  }

  tr {
    height: 0;
  }
  tr:first-of-type {
    border-bottom: 2px solid black;
    background-color: white;
  }

  tr:last-of-type {
    border-top: 2px solid black;

    .rowLabel {
      font-size: 16px;
      left: 0;
      width: 124px;
      padding-right: 16px;
      text-align: right;
    }
  }

  td:nth-child(5n + 1) {
    border-right: 2px solid black !important;
  }

  th {
    background: #0f7864;
  }

  .rowLabel {
    // border: none;
    font-size: 16px;
    // position: absolute;
    left: 0;
    width: 124px;
    padding-right: 16px;
    text-align: right;
  }

  .firstRow {
    font-size: 16px;
  }

  tr:nth-child(even) {
    background: #d0d0d0;
  }

  tr:nth-child(odd) {
    background: #f5f5f5;
  }
}

// custom drag select styling in this css file to prevent any interference with other exercise tools
.dts-no-select {
  user-select: none;
}

.dts-select-box {
  border: 1px solid grey;
  user-select: none;
}

.dts-select-container:not(.dts-custom) .dts-select-item.selected {
  border: 1px solid grey;
  box-shadow: none;
}

.scrollable {
  overflow-x: auto;
  //margin-left: 96px;
}

.bottom-margin {
  margin-bottom: var(--standard-margin);
}

.left-margin {
  margin-left: var(--standard-margin);
}

@media (min-width: 770px) {
  .color-block {
    margin-right: 8px;
    margin-left: 32px;
  }
  .flexible-margin {
    margin-left: 64px;
  }
}

@media (max-width: 770px) {
  .color-block {
    margin-right: 4px;
    margin-left: auto;
  }
  .item {
    flex: 40%;
  }
  .item-large {
    flex: 100%;
  }
}

.color-block {
  width: 16px;
  height: 16px;
  display: block;
}

.flex-container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin-top: 8px;
}

fa-icon {
  margin-right: 8px;
}

.textwithnewline {
  white-space: pre-wrap;
}
